QwtScaleDiv(3)

NAME
QwtScaleDiv -

SYNOPSIS

#include <qwt_scale_div.h>

  Public Types
enum TickType { NoTick = -1, MinorTick, MediumTick, MajorTick, NTickTypes }

  Public Member Functions
QwtScaleDiv ()
QwtScaleDiv (const QwtInterval &, QList< double >[NTickTypes])
QwtScaleDiv (double lowerBound, double upperBound, QList< double >[NTickTypes])
bool contains (double v) const
QwtInterval interval () const
void invalidate ()
void invert ()
bool isValid () const
double lowerBound () const
bool operator!= (const QwtScaleDiv &s) const
bool operator== (const QwtScaleDiv &s) const
double range () const
void setInterval (double lowerBound, double upperBound)
void setInterval (const QwtInterval &)
void setTicks (int type, const QList< double > &)
const QList< double > & ticks (int type) const
double upperBound () const

Detailed Description

A class representing a scale division. A scale division consists of its limits and 3 list of tick values qualified as major, medium and minor ticks.

In most cases scale divisions are calculated by a QwtScaleEngine.

See also:
    subDivideInto(), subDivide()

Member Enumeration Documentation

  enum QwtScaleDiv::TickType

Scale tick types.

Enumerator:

NoTick
    No ticks.

MinorTick
    Minor ticks.

MediumTick
    Medium ticks.

MajorTick
    Major ticks.

NTickTypes
    Number of valid tick types.

Constructor & Destructor Documentation

  QwtScaleDiv::QwtScaleDiv (const QwtInterval &interval, QList< double >ticks[NTickTypes]) [explicit]
Construct QwtScaleDiv instance.

Parameters:
    interval Interval
    ticks List of major, medium and minor ticks

  QwtScaleDiv::QwtScaleDiv (doublelowerBound, doubleupperBound, QList< double >ticks[NTickTypes]) [explicit]
Construct QwtScaleDiv instance.

Parameters:
    lowerBound First interval limit
    upperBound Second interval limit
    ticks List of major, medium and minor ticks

Member Function Documentation

  bool QwtScaleDiv::contains (doublevalue) const
Return if a value is between lowerBound() and upperBound()

Parameters:
    value Value

Returns:
    true/false

  QwtInterval QwtScaleDiv::interval () const [inline]
Returns:
    lowerBound -> upperBound

  double QwtScaleDiv::lowerBound () const [inline]
Returns:
    lower bound

See also:
    upperBound()

  bool QwtScaleDiv::operator!= (const QwtScaleDiv &s) const

Inequality. Returns:
    true if this instance is not equal to s

  bool QwtScaleDiv::operator== (const QwtScaleDiv &other) const

Equality operator. Returns:
    true if this instance is equal to other

  double QwtScaleDiv::range () const [inline]
Returns:
    upperBound() - lowerBound()

  void QwtScaleDiv::setInterval (doublelowerBound, doubleupperBound) [inline]
Change the interval

Parameters:
    lowerBound lower bound
    upperBound upper bound

  void QwtScaleDiv::setInterval (const QwtInterval &interval)
Change the interval

Parameters:
    interval Interval

  void QwtScaleDiv::setTicks (inttype, const QList< double > &ticks)
Assign ticks

Parameters:
    type MinorTick, MediumTick or MajorTick
    ticks Values of the tick positions

  const QList< double > & QwtScaleDiv::ticks (inttype) const
Return a list of ticks

Parameters:
    type MinorTick, MediumTick or MajorTick

  double QwtScaleDiv::upperBound () const [inline]
Returns:
    upper bound

See also:
    lowerBound()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.